Sailclear-2022 - Bug #2554

Correct speeling of Departure - Health declaration form for Belize country

06/06/2022 05:20 PM - priyanka Sharma

Status: Closed Start date: 06/06/2022
Priority: Normal Due date:

Assignee: satyam vishwakarma % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description
History

#1 - 06/10/2022 11:46 AM - rajat gupta

- Status changed from New to In Progress

#2 - 06/15/2022 10:51 AM - rajat gupta

- Status changed from In Progress to Resolved

#3 - 06/15/2022 12:40 PM - priyanka Sharma

- Status changed from Resolved to Closed

Files

clipboard-202206061719-byn62.png 81.7 KB

04/04/2025

06/06/2022

priyanka Sharma

1/1



http://www.tcpdf.org

